pilot-schlep(1)

NAME
pilot-schlep - Pack an arbitrary file and install it on your Palm or unpack a file from your Palm.

SECTION

pilot-link: Userland conduits

SYNOPSIS

pilot-schlep [-p|--port<port>] [--version] [-?|--help] [--usage] [-q|--quiet] [-i|--install file] [-f|--fetch file] [-d|--delete]

DESCRIPTION

Currently the stored name and file type is not queried so you can potentially install a PDF file, and retrieve it as a ZIP file.

You must take care to remember what type of file you are installing and fetching. This will be updated in a later release to handle this type of capability, as well as handle multiple 'Schlep' files.

OPTIONS

  pilot-schlep options
-i, --install
          file

Pack and install file to your Palm -f, --fetch
          file

Unpack the file from your Palm device -d, --delete

Delete the packaged file from your Palm device

  Conduit Options
-p, --port
          port

Use device file port to communicate with the Palm handheld. If this is not specified, pilot-schlep will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-schlep will print the usage information. -q, --quiet

Suppress 'Hit HotSync button' message -v, --version

Display version of pilot-schlep.

  Help Options
-h, --help

Display the help synopsis for pilot-schlep. --usage

Display a brief usage message and exit without connecting.

EXAMPLES

To package up and store a file for later retrieval on your Palm:
pilot-schlep -p /dev/pilot -i InstallThis.zip

To unpack a file that has been stored on your Palm with pilot-schlep:
pilot-schlep -p /dev/pilot -f RetrieveThis.pdfc

Please notice that you must use redirection to Install or Fetch files using pilot-schlep.

Currently the stored name and file type is not queried so you can potentially Install a PDF file, and retrieve it as a ZIP file.

You must take care to remember what type of file you are installing and fetching. This will be updated in a later release to handle this type of capability, as well as handle multiple 'Schlep' files.

AUTHOR

This manual page was written by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

pilot-link(7)